import { Global, Module } from '@nestjs/common';
import { MikroOrmModule } from '@mikro-orm/nestjs';
import { ActivitiesService } from './activities.service';
import { Activity } from './activities.entity';

/**
 * A global module that encapsulates features related to tracking.
 */
@Global()
@Module({
  imports: [MikroOrmModule.forFeature([Activity])],
  providers: [ActivitiesService],
  exports: [ActivitiesService],
})
export class ActivitiesModule {}
