import {
    Entity,
    PrimaryKey,
    Property,
    ManyToOne,
  } from '@mikro-orm/core';

    import { RoomSession } from './roomSession.entity';
  
  /**
   * Represents a roomSessionUser entity.
   */
  @Entity({ tableName: 'roomSessionUser' })
  export class RoomSessionUser {
      @PrimaryKey()
      id!: number;

      @ManyToOne()
      roomSession!: RoomSession;
    
      @Property()
      userId!: string;
  
      @Property()
      name: string;
  
      /**
       * Creates a new instance of the Room class.
       * @param userId - The ID of the user who created the room.
       * @param name - The name of the user.
       */
      constructor(roomSession: RoomSession, userId: string, name: string) {
          this.roomSession = roomSession;
          this.userId = userId;
          this.name = name;
      }
  }
  
    